const constants = require('../constants');
const changeCase = require('change-case');

var isModuleTypePrompt = (config) => {
	return config.generatorType === constants.generatorType.MODULE;
};

module.exports = {
	moduleType: [
		{
			type: 'list',
			name: 'generator',
			message: 'Module Type: ',
			when: isModuleTypePrompt,
			choices: Object.keys(constants.moduleType).map((moduleTypeKey) => ({
				name: changeCase.titleCase(constants.moduleType[moduleTypeKey]),
				value: constants.moduleType[moduleTypeKey]
			}))
		}
	]
};
