const helpers = require('../../../../helpers');
const colorChoices = helpers.color.getColorsChoices();

module.exports = {
  app: [
    {
      type: 'input',
      name: 'appName',
      message: '[app]: Write application name:',
      default: 'app'
    },
    {
      type: 'list',
      name: 'primaryColor',
      message: '[app]: Select the primary color of your app:',
      default: 'blue',
      choices: colorChoices
    },
    {
      type: 'list',
      name: 'accentColor',
      message: 'Select the accent color of your app:',
      default: 'blue',
      choices: colorChoices
    },
    {
      type: 'list',
      name: 'packageManager',
      message: '[app]: Select the package manager of your app:',
      default: 'none',
      choices: ['none', 'npm', 'yarn']
    },
    {
      type: 'input',
      name: 'baseApiUrl',
      message: '[app]: Write the base api url:',
      default: '127.0.0.1'
    }
  ]
};
