const { colors, colorProperties } = require('../constants');

module.exports = {
  getColorsChoices() {
    const response = [];
    Object.keys(colors).forEach(colorName => {
      const currentColorValue = colors[colorName];
      response.push({ name: colorName, value: currentColorValue });
    });
    return response;
  },

  parseColorSelection(props) {
    colorProperties.COLOR_PROPERTIES.forEach(colorProp => {
      if (props[colorProp]) {
        if (colors[props[colorProp]]) {
          props[colorProp] = colors[props[colorProp]];
        }
      }
    });
  }
};
