const constants = require('../constants');

var isApplicationTypePrompt = config => {
  return config.generatorType === constants.generatorType.APPLICATION;
};

module.exports = {
  appType: [
    {
      type: 'list',
      name: 'generator',
      message: 'Aplication Type: ',
      when: isApplicationTypePrompt,
      choices: [
        {
          name: 'Enrollment Application',
          value: constants.appType.ENROLLMENT
        },
        {
          name: 'Site Application',
          value: constants.appType.SITE_APP
        }
      ]
    }
  ]
};
