const { titleCase } = require('change-case');
const { moduleConstants } = require('../../../../constants');

module.exports = {
  modulePrompts: [
    {
      type: 'checkbox',
      name: 'modulesToInstall',
      message: 'What modules would you like to include?',
      choices: moduleConstants.moduleList.map((mod) => ({
        name: `${titleCase(mod)} Module`,
        value: mod,
        checked: true,
      })),
    },
  ],
};
